App\Library\Amazon\Classes\Scanner:
    xml_root_name: Scanner
    properties:
        variationData:
            expose: true
            access_type: public_method
            serialized_name: VariationData
            accessor:
                getter: getVariationData
                setter: setVariationData
            type: App\Library\Amazon\Classes\VariationData
        hasGreyScale:
            expose: true
            access_type: public_method
            serialized_name: HasGreyScale
            accessor:
                getter: getHasGreyScale
                setter: setHasGreyScale
            type: string
        lightSourceType:
            expose: true
            access_type: public_method
            serialized_name: LightSourceType
            accessor:
                getter: getLightSourceType
                setter: setLightSourceType
            type: string
        maxInputSheetCapacity:
            expose: true
            access_type: public_method
            serialized_name: MaxInputSheetCapacity
            accessor:
                getter: getMaxInputSheetCapacity
                setter: setMaxInputSheetCapacity
            type: integer
        maxPrintResolutionBlackWhite:
            expose: true
            access_type: public_method
            serialized_name: MaxPrintResolutionBlackWhite
            accessor:
                getter: getMaxPrintResolutionBlackWhite
                setter: setMaxPrintResolutionBlackWhite
            type: string
        maxPrintResolutionColor:
            expose: true
            access_type: public_method
            serialized_name: MaxPrintResolutionColor
            accessor:
                getter: getMaxPrintResolutionColor
                setter: setMaxPrintResolutionColor
            type: string
        maxPrintSpeedBlackWhite:
            expose: true
            access_type: public_method
            serialized_name: MaxPrintSpeedBlackWhite
            accessor:
                getter: getMaxPrintSpeedBlackWhite
                setter: setMaxPrintSpeedBlackWhite
            type: string
        maxPrintSpeedColor:
            expose: true
            access_type: public_method
            serialized_name: MaxPrintSpeedColor
            accessor:
                getter: getMaxPrintSpeedColor
                setter: setMaxPrintSpeedColor
            type: string
        maxScanningSize:
            expose: true
            access_type: public_method
            serialized_name: MaxScanningSize
            accessor:
                getter: getMaxScanningSize
                setter: setMaxScanningSize
            type: string
        minScanningSize:
            expose: true
            access_type: public_method
            serialized_name: MinScanningSize
            accessor:
                getter: getMinScanningSize
                setter: setMinScanningSize
            type: string
        printerMediaSizeMaximum:
            expose: true
            access_type: public_method
            serialized_name: PrinterMediaSizeMaximum
            accessor:
                getter: getPrinterMediaSizeMaximum
                setter: setPrinterMediaSizeMaximum
            type: string
        printerOutputType:
            expose: true
            access_type: public_method
            serialized_name: PrinterOutputType
            accessor:
                getter: getPrinterOutputType
                setter: setPrinterOutputType
            type: string
        printerWirelessType:
            expose: true
            access_type: public_method
            serialized_name: PrinterWirelessType
            accessor:
                getter: getPrinterWirelessType
                setter: setPrinterWirelessType
            xml_list:
                inline: true
                entry_name: PrinterWirelessType
            type: array<App\Library\Amazon\Classes\PrinterWirelessType>
        printingMediaType:
            expose: true
            access_type: public_method
            serialized_name: PrintingMediaType
            accessor:
                getter: getPrintingMediaType
                setter: setPrintingMediaType
            type: App\Library\Amazon\Classes\PrintingMediaType
        printingTechnology:
            expose: true
            access_type: public_method
            serialized_name: PrintingTechnology
            accessor:
                getter: getPrintingTechnology
                setter: setPrintingTechnology
            type: string
        scanRate:
            expose: true
            access_type: public_method
            serialized_name: ScanRate
            accessor:
                getter: getScanRate
                setter: setScanRate
            type: string
        scannerResolution:
            expose: true
            access_type: public_method
            serialized_name: ScannerResolution
            accessor:
                getter: getScannerResolution
                setter: setScannerResolution
            type: string
